import {
  select,
  csv,
  scaleLinear,
  max,
  scaleBand,
  axisLeft,
  axisBottom
} from 'd3';

const svg = select('svg');

const width  = +svg.attr('width');
const height = +svg.attr('height');
                        
svg.text("hello world")


const render = data => {
  const xScale = d3.scaleLinear()
  								.domain([0, d3.max(data, d => d.population)])
  								.range([0, width]);
  
  
  svg.selectAll('rect').data(data)
  					.enter()
  					.append('rect')
  						.attr('width', d => xScale(d.population))
  						.attr('height',300)
};

csv('data.csv').then( data => 
                        {data.forEach( d => {
                          d.population = +d.population * 1000
                        })
                        render(data);
                        });
